api/urls.py
from django.urls import include, re_path

urlpatterns = [
    # global
    re_path(r'^', include('api.global.urls')),
    # v1
    re_path(r'^v1/accounts/', include('api.v1.accounts.urls')),
    re_path(r'^v1/ticket/', include('api.v1.ticket.urls')),
    re_path(r'^v1/faq/', include('api.v1.faq.urls')),
    re_path(r'^v1/knowledges_base/', include('api.v1.knowledgebase.urls')),
    re_path(r'^v1/article/', include('api.v1.article.urls')),
    re_path(r'^v1/project/', include('api.v1.project.urls')),
    re_path(r'^v1/blog/', include('api.v1.blog.urls')),

    # v2

]

dashboard/urls.py
from django.urls import path, re_path, include
from . import views
from ticket.views import TicketCreateView
from ticket.views import TicketDetailView
from project.views import ProjectView
from project.views import ProjectTemplateView
from project.views import ProjectFinalizeView
from project.views import ProjectShownView

from django.views.decorators.cache import cache_page


app_name = 'dashboard'
urlpatterns = [
    re_path(r'^$', views.HomeView.as_view(), name='home'),
    re_path(r'^account/$', views.AccountView.as_view(), name='account'),
    re_path(r'^account/team/list/$', views.TeamView.as_view(), name='project-team-list'),
    
    re_path(r'^account/profile/(?P<sku_app>\w+\d*)/$', views.AccountProfileUpdateView.as_view(), name='account-profile-edit'),
    re_path(r'^account/profile/(?P<sku_app>\w+\d*)/published/$', views.AccountProfileFinalizeView.as_view(), name='account-profile-published'),
    # cached
    re_path(r'^account/applications/$', views.ApplicationListView.as_view(), name='application-list'),

    re_path(r'^account/application/(?P<pk>\d+)/create/$', views.ApplicationCreateView.as_view(), name='application-create'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/published/$', views.ApplicationFinalizeView.as_view(), name='application-published'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/$', views.ApplicationView.as_view(), name='application-edit'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/$', ProjectView.as_view(), name='application-project-edit'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/shown/$', ProjectShownView.as_view(), name='application-project-shown'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/preview/$', ProjectTemplateView.as_view(), name='project-view'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/published/$', ProjectFinalizeView.as_view(), name='application-project-published'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/team/members/$', views.TeamMemberView.as_view(), name = 'project-team-member'),
    re_path(r'^account/application/(?P<sku>\w+\d*)/project/(?P<sku_project>\w+\d*)/team/published/$', views.TeamPublishedView.as_view(), name = 'project-team-published'),
    # cached
    re_path(r'^knowledge-base/$', cache_page(60*15)(views.KnowledgeBaseView.as_view()), name='knowledge-base'),
    re_path(r'^privacy-policy/$', cache_page(60*15)(views.PrivacyPolicyView.as_view()), name='privacy-policy'),
    re_path(r'^faq/$', cache_page(60*15)(views.FAQView.as_view()), name='faq'),
    
    re_path(r'^ticket/$', TicketCreateView.as_view(), name='ticket-create'),
    re_path(r'^ticket/(?P<sku>\w+)/$', TicketDetailView.as_view(), name='ticket-detail'),  
]

step/models.py
from step.submodels.step import Step

step/views.py
from django.shortcuts import render

# Create your views here.

media/templates/dashboard/partials/steps/04-step.html
<div class="form-group position-relative error-l-50">
    <div id="team-members">
        <form method="POST" id="insert_form" action="{% url 'dashboard:project-team-member' application.sku application.project.sku %}" novalidate>
            {% csrf_token %}
            <input type="hidden" name="g-recaptcha-response" id='recaptcha' />
            {% if not application.project.team.is_published %}
                <div style="float: right;">
                    <button type="button" class="btn btn-danger btn-lg" data-toggle="modal" data-target="#check-team">Finalize Team</button>
                </div> 
            {% endif %}
            <div class="clearfix"></div>
             

            <div class="form-group position-relative error-l-50">
                <h4 for="team-name">Team Name</h4>
                {% if not team.is_published %}
                    <input type="text" name="team-name" id="team-name" value="{{ team.name }}" class="form-control">
                {% else %}
                    <input type="text" disabled value="{{ team.name }}" class="form-control">
                {% endif %}
            </div>

            <h4>Add your team mates</h4>
            <div class="table-responsive-lg">
                <table class="table table-bordered table-striped text-center" id="{% if not team.is_published %}item_table{% endif %}">
                    <tr>
                        <th>First Name</th>
                        <th>Last Name</th>
                        <th>Position</th>
                        <th>Phone Number</th>
                        <th>Email</th>
                        {% if not team.is_published %}
                            <th>
                                <button type="button" name="add" class="btn btn-success btn-sm add">
                                    <span style="font-size: 16px;" class="simple-icon-plus"></span>
                                </button>
                            </th>
                        {% endif %}
                    </tr>
                    {% for member in team.colleagues.all %}
                    <tr>
                        <td>{{ member.first_name }}</td>
                        <td>{{ member.last_name }}</td>
                        <td>{{ member.position }}</td>
                        <td>{{ member.phone_number }}</td>
                        <td>{{ member.email }}</td>
                    </tr>
                    {% endfor %}
                    <br />
                </table>
            </div>
            {% if not team.is_published %}
            <div>
                <button type="submit" class="btn btn-primary">Save as Draft</button>
            </div>
            {% endif %}
        </form>

    </div>
</div>

media/templates/dashboard/partials/steps/05-step.html
{% load markdown_deux_tags %}

<br />
<div style="float: right;">
    <form method="POST" id="project-shown" action="{% url 'dashboard:application-project-shown' application.sku application.project.sku %}">
        {% csrf_token %}
        <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
        {% if not project.is_shown %}
            <input type="hidden" name="is_shown" class="form-control invisible" value='true' />
            <button type="submit" class="btn btn-info btn-lg">Finalize and Publishing Request</button>
        {% endif %}
    </form>
</div>
<div class="clearfix"></div>
<br />
<div class="lightbox">
    <a href="#">
    {% if project.cover %}
        <img alt="detail" src="{{project.cover.url}}" class="responsive border-0 card-img-top mb-3" />
    {% else %}
        <img src="https://via.placeholder.com/1024" alt="{{ project.title }}" class="responsive border-0 card-img-top mb-3" />

    {% endif %}
        
    </a>
</div>
<div class="card-body">
    <div class="ck-responsive-img mb-5">
        <h2 class="card-title">{{project.title}}</h2>

        <h3 class="card-title">Summary</h3>
        <div id="videoContainer">
            <div class="overlay">
              <div class="button" style="background: url(&quot;play-button.svg&quot;) 0% 0% / 100% 100%;"></div>
            </div>
            <div id="video">
              <video src="{{ project.video.url }}"> </video>
            </div>
            <div id="controls">
              <div class="playButton">
                <div class="playPause"></div>
              </div>
              <div class="ProgressContainer">
                <div class="timer intialTime">00:00</div>
                <div class="progressBar">
                  <div class="progress"></div>
                </div>
                <div class="time"> 00:00 </div>
                <div class="timer fullTime">NaN:NaN</div>
              </div>
              <div class="volume">
                <div class="icon"></div>
                <div class="intensityBar">
                  <div class="intensity"></div>
                </div>
              </div>
              <div class="scale">
                <div class="icon"></div>
              </div>
            </div>
          </div>

        <h3 class="card-title">Summary</h3>
        {{project.summary|markdown}}
        {% if project.summary_img %}
            <img alt="detail" src="{{project.summary_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}
        
        <h3 class="card-title">Problem</h3>
        {{project.problem|markdown:"STYLTE"}}
        {% if project.problem_img %}
            <img alt="detail" src="{{project.problem_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}

        <h3 class="card-title">Solution</h3>
        {{project.solution|markdown}}
        {% if project.solution_img %}
            <img alt="detail" src="{{project.solution_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}

        <h3 class="card-title">Product</h3>
        {{project.product|markdown}}
        {% if project.product_img %}
            <img alt="detail" src="{{project.product_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}

        <h3 class="card-title">Customer</h3>
        {{project.customer|markdown}}
        {% if project.customer_img %}
            <img alt="detail" src="{{project.customer_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}

        <h3 class="card-title">Business</h3>
        {{project.business|markdown}}
        {% if project.business_img %}
            <img alt="detail" src="{{project.business_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}

        <h3 class="card-title">Market</h3>
        {{project.market|markdown}}
        {% if project.market_img %}
            <img alt="detail" src="{{project.market_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}

        <h3 class="card-title">Competition</h3>
        {{project.competition|markdown}}
        {% if project.competition_img %}
            <img alt="detail" src="{{project.competition_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}

        <h3 class="card-title">Vision</h3>
        {{project.vision|markdown}}
        {% if project.vision_img %}
            <img alt="detail" src="{{project.vision_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}

        <h3 class="card-title">Founders</h3>
        {{project.founders|markdown}}
        {% if project.founders_img %}
            <img alt="detail" src="{{project.founders_img.url}}" class="responsive border-0 card-img-top mb-3" />
        {% endif %}
    </div>
</div>